Package Details: python-clickhouse-cli-git r144.4d96d07-2

Git Clone URL: https://aur.archlinux.org/python-clickhouse-cli-git.git (read-only, click to copy)
Package Base: python-clickhouse-cli-git
Description: Third-party client for the Clickhouse DBMS server
Upstream URL: https://github.com/hatarist/clickhouse-cli
Licenses: MIT
Provides: clickhouse-cli
Submitter: woutifier
Maintainer: woutifier
Last Packager: woutifier
Votes: 2
Popularity: 0.000489
First Submitted: 2018-03-16 21:23
Last Updated: 2019-08-15 12:15

Latest Comments

1 2 Next › Last »

lisu_ml commented on 2019-12-19 11:26

I'm getting this error:

Traceback (most recent call last):
  File "/usr/bin/clickhouse-cli", line 11, in <module>
    load_entry_point('clickhouse-cli==0.3.5', 'console_scripts', 'clickhouse-cli')()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 489, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2852, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2443, in load
    return self.resolve()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2449, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.8/site-packages/clickhouse_cli/cli.py", line 21, in <module>
    from prompt_toolkit.eventloop.defaults import use_asyncio_event_loop
ModuleNotFoundError: No module named 'prompt_toolkit.eventloop.defaults'

woutifier commented on 2019-08-15 12:14

That sounds logical, I'll bump the pkgrel.

lisu_ml commented on 2019-08-15 11:08

Not really, as this is -git package, so the version of the package is generated using pkgver() function. The version you set in recent PKGBUILD update is r144.4d96d07 and that's the version I got compiled before I reported the issue.

The result is that I have r144.4d96d07 installed, but it still doesn't work as it was build before you fixed PKGBUILD. This means that whoever built the package before your fix, he/she got r144.4d96d07 built but still without the fix. That's why you have to bump the release.

woutifier commented on 2019-08-15 10:56

@lisu_ml: I bumped the version number, is that not enough?

lisu_ml commented on 2019-08-15 08:25

@woutifier: thanks for the changes. It would also be nice if the pkgrel is bumped so the package can be automatically updated.

woutifier commented on 2019-08-13 06:29

Sure, I was on holiday :-)

lisu_ml commented on 2019-08-12 20:29

Any chance of getting this applied on PKGBUILD?

lisu_ml commented on 2019-08-12 20:18

Thanks @ei-grad. That seems to be working.

ei-grad commented on 2019-08-11 07:42

@lisu_ml, clickhouse-cli now requires prompt-toolkit>=2.0, remove the trailing '1' from its package name in dependencies and remove the prepare, and rebuild package

lisu_ml commented on 2019-08-08 09:00

Hi,

I've noticed I'm getting this error when trying to run clickhouse-cli:

$ clickhouse-cli 
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (prompt-toolkit1 1.0.15 (/usr/lib/python3.7/site-packages), Requirement.parse('prompt-toolkit1>=2.0'), {'clickhouse-cli'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/clickhouse-cli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'prompt-toolkit1>=2.0' distribution was not found and is required by clickhouse-cli